Skip to content

# Class: KubeObjectDetails

Renderer.Component.KubeObjectDetails

## Hierarchy

- `Component`

↳ KubeObjectDetails

## Table of contents

### Constructors

- constructor

### Properties

- context
- isLoading
- loader
- loadingError
- props
- refs
- state
- contextType

### Accessors

- isCrdInstance
- object
- path

### Methods

- UNSAFE_componentWillMount
- UNSAFE_componentWillReceiveProps
- UNSAFE_componentWillUpdate
- componentDidCatch
- componentDidMount
- componentDidUpdate
- componentWillMount
- componentWillReceiveProps
- componentWillUnmount
- componentWillUpdate
- forceUpdate
- getSnapshotBeforeUpdate
- render
- setState
- shouldComponentUpdate

## Constructors

### constructor

• new KubeObjectDetails(`props`)

#### Parameters

Name | Type
--- | ---
`props` | `Object`

#### Overrides

React.Component.constructor

## Properties

### context

• context: `any`

If using the new style context, re-declare this in your class to be the `React.ContextType` of your `static contextType`. Should be used with type annotation or static contextType.

    static contextType = MyContext
    // For TS pre-3.7:
    context!: React.ContextType<typeof MyContext>
    // For TS 3.7 and above:
    declare context: React.ContextType<typeof MyContext>

`see` https://reactjs.org/docs/context.html

#### Inherited from

React.Component.context

### isLoading

• isLoading: `boolean` = false

### loader

• loader: `IReactionDisposer`

### loadingError

• loadingError: `ReactNode`

### props

• `Readonly` props: `Readonly`<`Object`> & `Readonly`<`Object`>

#### Inherited from

React.Component.props

### refs

• refs: `Object`

`deprecated` https://reactjs.org/docs/refs-and-the-dom.html#legacy-api-string-refs

#### Index signature

▪ [key: `string`]: `ReactInstance`

#### Inherited from

React.Component.refs

### state

• state: `Readonly`<`Object`>

#### Inherited from

React.Component.state

### contextType

▪ `Static` `Optional` contextType: `Context`<any>

If set, `this.context` will be set at runtime to the current value of the given Context.

Usage:

    type MyContext = number
    const Ctx = React.createContext<MyContext>(0)

    class Foo extends React.Component {
      static contextType = Ctx
      context!: React.ContextType<typeof Ctx>
      render () {
        return <>My context's value: {this.context}</>;
      }
    }

`see` https://reactjs.org/docs/context.html#classcontexttype

#### Inherited from

React.Component.contextType

## Accessors

### isCrdInstance

• `get` isCrdInstance(): `boolean`

#### Returns

`boolean`

### object

• `get` object(): KubeObject<KubeObjectMetadata, any, any>

#### Returns

KubeObject<KubeObjectMetadata, any, any>

### path

• `get` path(): `string`

#### Returns

`string`

## Methods

### UNSAFE_componentWillMount

▸ `Optional` UNSAFE_componentWillMount(): `void`

Called immediately before mounting occurs, and before `Component#render`. Avoid introducing any side-effects or subscriptions in this method.

This method will not stop working in React 17.

Note: the presence of getSnapshotBeforeUpdate or getDerivedStateFromProps prevents this from being invoked.

`deprecated` 16.3, use componentDidMount or the constructor instead

`see` https://reactjs.org/blog/2018/03/27/update-on-async-rendering.html#initializing-state

`see` https://reactjs.org/blog/2018/03/27/update-on-async-rendering.html#gradual-migration-path

#### Returns

`void`

#### Inherited from

React.Component.UNSAFE_componentWillMount

### UNSAFE_componentWillReceiveProps

▸ `Optional` UNSAFE_componentWillReceiveProps(`nextProps`, `nextContext`): `void`

Called when the component may be receiving new props. React may call this even if props have not changed, so be sure to compare new and existing props if you only want to handle changes.

Calling `Component#setState` generally does not trigger this method.

This method will not stop working in React 17.

Note: the presence of getSnapshotBeforeUpdate or getDerivedStateFromProps prevents this from being invoked.

`deprecated` 16.3, use static getDerivedStateFromProps instead

`see` https://reactjs.org/blog/2018/03/27/update-on-async-rendering.html#updating-state-based-on-props

`see` https://reactjs.org/blog/2018/03/27/update-on-async-rendering.html#gradual-migration-path

#### Parameters

Name | Type
--- | ---
`nextProps` | `Readonly`<`Object`>
`nextContext` | `any`

#### Returns

`void`

#### Inherited from

React.Component.UNSAFE_componentWillReceiveProps

### UNSAFE_componentWillUpdate

▸ `Optional` UNSAFE_componentWillUpdate(`nextProps`, `nextState`, `nextContext`): `void`

Called immediately before rendering when new props or state is received. Not called for the initial render.

Note: You cannot call `Component#setState` here.

This method will not stop working in React 17.

Note: the presence of getSnapshotBeforeUpdate or getDerivedStateFromProps prevents this from being invoked.

`deprecated` 16.3, use getSnapshotBeforeUpdate instead

`see` https://reactjs.org/blog/2018/03/27/update-on-async-rendering.html#reading-dom-properties-before-an-update

`see` https://reactjs.org/blog/2018/03/27/update-on-async-rendering.html#gradual-migration-path

#### Parameters

Name | Type
--- | ---
`nextProps` | `Readonly`<`Object`>
`nextState` | `Readonly`<`Object`>
`nextContext` | `any`

#### Returns

`void`

#### Inherited from

React.Component.UNSAFE_componentWillUpdate

### componentDidCatch

▸ `Optional` componentDidCatch(`error`, `errorInfo`): `void`

Catches exceptions generated in descendant components. Unhandled exceptions will cause the entire component tree to unmount.

#### Parameters

Name | Type
--- | ---
`error` | `Error`
`errorInfo` | `ErrorInfo`

#### Returns

`void`

#### Inherited from

React.Component.componentDidCatch

### componentDidMount

▸ `Optional` componentDidMount(): `void`

Called immediately after a component is mounted. Setting state here will trigger re-rendering.

#### Returns

`void`

#### Inherited from

React.Component.componentDidMount

### componentDidUpdate

▸ `Optional` componentDidUpdate(`prevProps`, `prevState`, `snapshot?`): `void`

Called immediately after updating occurs. Not called for the initial render.

The snapshot is only present if getSnapshotBeforeUpdate is present and returns non-null.

#### Parameters

Name | Type
--- | ---
`prevProps` | `Readonly`<`Object`>
`prevState` | `Readonly`<`Object`>
`snapshot?` | `any`

#### Returns

`void`

#### Inherited from

React.Component.componentDidUpdate

### componentWillMount

▸ `Optional` componentWillMount(): `void`

Called immediately before mounting occurs, and before `Component#render`. Avoid introducing any side-effects or subscriptions in this method.

Note: the presence of getSnapshotBeforeUpdate or getDerivedStateFromProps prevents this from being invoked.

`deprecated` 16.3, use componentDidMount or the constructor instead; will stop working in React 17

`see` https://reactjs.org/blog/2018/03/27/update-on-async-rendering.html#initializing-state

`see` https://reactjs.org/blog/2018/03/27/update-on-async-rendering.html#gradual-migration-path

#### Returns

`void`

#### Inherited from

React.Component.componentWillMount

### componentWillReceiveProps

▸ `Optional` componentWillReceiveProps(`nextProps`, `nextContext`): `void`

Called when the component may be receiving new props. React may call this even if props have not changed, so be sure to compare new and existing props if you only want to handle changes.

Calling `Component#setState` generally does not trigger this method.

Note: the presence of getSnapshotBeforeUpdate or getDerivedStateFromProps prevents this from being invoked.

`deprecated` 16.3, use static getDerivedStateFromProps instead; will stop working in React 17

`see` https://reactjs.org/blog/2018/03/27/update-on-async-rendering.html#updating-state-based-on-props

`see` https://reactjs.org/blog/2018/03/27/update-on-async-rendering.html#gradual-migration-path

#### Parameters

Name | Type
--- | ---
`nextProps` | `Readonly`<`Object`>
`nextContext` | `any`

#### Returns

`void`

#### Inherited from

React.Component.componentWillReceiveProps

### componentWillUnmount

▸ `Optional` componentWillUnmount(): `void`

Called immediately before a component is destroyed. Perform any necessary cleanup in this method, such as cancelled network requests, or cleaning up any DOM elements created in `componentDidMount`.

#### Returns

`void`

#### Inherited from

React.Component.componentWillUnmount

### componentWillUpdate

▸ `Optional` componentWillUpdate(`nextProps`, `nextState`, `nextContext`): `void`

Called immediately before rendering when new props or state is received. Not called for the initial render.

Note: You cannot call `Component#setState` here.

Note: the presence of getSnapshotBeforeUpdate or getDerivedStateFromProps prevents this from being invoked.

`deprecated` 16.3, use getSnapshotBeforeUpdate instead; will stop working in React 17

`see` https://reactjs.org/blog/2018/03/27/update-on-async-rendering.html#reading-dom-properties-before-an-update

`see` https://reactjs.org/blog/2018/03/27/update-on-async-rendering.html#gradual-migration-path

#### Parameters

Name | Type
--- | ---
`nextProps` | `Readonly`<`Object`>
`nextState` | `Readonly`<`Object`>
`nextContext` | `any`

#### Returns

`void`

#### Inherited from

React.Component.componentWillUpdate

### forceUpdate

▸ forceUpdate(`callback?`): `void`

#### Parameters

Name | Type
--- | ---
`callback?` | () => `void`

#### Returns

`void`

#### Inherited from

React.Component.forceUpdate

### getSnapshotBeforeUpdate

▸ `Optional` getSnapshotBeforeUpdate(`prevProps`, `prevState`): `any`

Runs before React applies the result of `render` to the document, and returns an object to be given to componentDidUpdate. Useful for saving things such as scroll position before `render` causes changes to it.

Note: the presence of getSnapshotBeforeUpdate prevents any of the deprecated lifecycle events from running.

#### Parameters

Name | Type
--- | ---
`prevProps` | `Readonly`<`Object`>
`prevState` | `Readonly`<`Object`>

#### Returns

`any`

#### Inherited from

React.Component.getSnapshotBeforeUpdate

### render

▸ render(): `Element`

#### Returns

`Element`

#### Overrides

React.Component.render

### setState

▸ setState<K>(`state`, `callback?`): `void`

#### Type parameters

Name | Type
--- | ---
`K` | `K`: `never`

#### Parameters

Name | Type
--- | ---
`state` | {} | (`prevState`: `Readonly`<`Object`>, `props`: `Readonly`<`Object`>) => {} | `Pick`<`Object`, K> | `Pick`<`Object`, K>
`callback?` | () => `void`

#### Returns

`void`

#### Inherited from

React.Component.setState

### shouldComponentUpdate

▸ `Optional` shouldComponentUpdate(`nextProps`, `nextState`, `nextContext`): `boolean`

Called to determine whether the change in props and state should trigger a re-render.

`Component` always returns true. `PureComponent` implements a shallow comparison on props and state and returns true if any props or states have changed.

If false is returned, `Component#render`, `componentWillUpdate` and `componentDidUpdate` will not be called.

#### Parameters

Name | Type
--- | ---
`nextProps` | `Readonly`<`Object`>
`nextState` | `Readonly`<`Object`>
`nextContext` | `any`

#### Returns

`boolean`

#### Inherited from

React.Component.shouldComponentUpdate